package managedbean.medicalTest;

import java.io.Serializable;
import java.util.Properties;

import javax.ejb.EJB;
import javax.enterprise.context.RequestScoped;
import javax.inject.Named;
import javax.naming.Context;
import javax.naming.InitialContext;

import ejb.medicalTest.MedicalTestFacadeRemote;

/**
 * ManagedBEan que gestiona la edición y actualización de una especialidad
 * médica.
 * 
 * @author mark
 *
 */
@Named("MedicalTestMBean")
@RequestScoped
public class MedicalTestMBean implements Serializable {

	private static final long serialVersionUID = 1L;

	@EJB
	private MedicalTestFacadeRemote remoteManager;

	/**
	 * Constructor. Inicializa la conexión con el EJB Remoto
	 * 
	 * @throws Exception
	 */
	public MedicalTestMBean() throws Exception {
		initializeAdminFacadeRemote();
	}

	/**
	 * Inicializa la conexión con el EJB Remoto
	 * 
	 * @throws Exception
	 */
	private void initializeAdminFacadeRemote() throws Exception {
		Properties props = System.getProperties();
		Context ctx = new InitialContext(props);
		remoteManager = (MedicalTestFacadeRemote) ctx
				.lookup("java:app/myHealth.jar/MedicalTestFacadeBean!ejb.component.MedicalTestFacadeRemote");
	}

}
